Subject: Re: bug#19180: vacuum_weak_hash_table error

From: Anand Mohanadoss <[email-masked]>
Date: Mon, 1 Dec 2014 18:13:25 +0530

Dear Ludovic,

Thank you very much for your help!  Given that the problem happens for me
only while processing huge binary files after around an hour of processing
(and the problem in general is not consistent), I am not sure how to come
up with a reduced test case that would still reproduce the problem.  So, I
would appreciate any help with that.

I was also wondering that given we can reproduce the problem under a
particular circumstance, if we can approach the problem from the other side
- e.g. by making changes on guile side to print information on the hash
table for which the assertion is failing, print stats on this hash table
over a period of time, make changes to hash table code to try to resolve
the problem, etc.

Thanks,
Anand

On Fri, Nov 28, 2014 at 10:26 PM, Ludovic Courtès <[email-masked]> wrote:

> Anand Mohanadoss <[email-masked]> skribis:
>
> > We have observed the following error a few times with guile 2.0.11
> (32-bit)
> > on x86_64 Linux while processing large binary files (1.5GB+) and
> comparing
> > messages contained therein.
> >
> > fish: hashtab.c:137: vacuum_weak_hash_table: Assertion `removed <= len'
> > failed.
>
> [...]
>
> > Given that we can consistently reproduce this problem on a particular
> > system, is there something you would like us to try to find the
> underlying
> > cause of this problem?
>
> Could you try to come up with a reduced test case to reproduce the
> problem?  That would help find out what’s going on.  Let us know if you
> need help to do that.
>
> Thanks for the report!
>
> Ludo’.
>